Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface RCAnnotationDetail

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface RCAnnotationDetail

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'RC Annotation Detail'. Dettaglio dell'annotazione. Al momento le annotazioni previste variano a seconda del tipo di connettore e sono:

- per il connettore PDPAServiceConnector:
  - source=appresources
    - per tutti i tipi di binding:
      - key="repart-position": value="[org]/[prod]/[ver]", es: csipiemonte/iridev2/2.0.0; Serve per permettere al generatore di generare le direttive di scaricamento da repart delle librerie client del servizio fruito
      - key="repart-artifact": value=nome dell'artifact delle librerie client del servizio (senza estensione jar, assunta di default), es: "iridev2-pep-intf-2.0.0"; Serve per permettere al generatore di generare le direttive di scaricamento da repart delle librerie client
    - per i binding EJB:
      - key="csi-pd-plugin": value="ejb-1" o "ejb-2"; Serve per indicare che la PD (di tipo EJB) utilizza la versione deprecata di plugin (ejb invece che ejb20)
      - key="csi-ejbpa-jndiname": value=il nome jndi completo su cui ascolta la PA del servizio; Serve per gestire casi legacy o non standard in cui non sia rispettato il nuovo standard di naming jndi
      - key="csi-pa-platform": value="WLS92" o "JBoss43"; Serve per configurare correttamente la pd in modo che possa parlare con un servizio EJB ospitato da un server Weblogic piuttosto che JBoss
      - key="repart-position": value="[org]/[prod]/[ver]", es: csipiemonte/iridev2/2.0.0; Serve per permettere al generatore di generare le direttive di scaricamento da repart delle librerie client del servizio fruito
      - key="repart-artifact": value=nome dell'artifact delle librerie client del servizio (senza estensione jar, assunta di default), es: "iridev2-pep-intf-2.0.0"; Serve per permettere al generatore di generare le direttive di scaricamento da repart delle librerie client
    - per i binding SOAP:
      - key="csi-soappabr-endpoint": Serve per indicare l'url dell'endpoint del soap bridge in caso non sia standard (esclusa la pate iniziale contenente l'hostname)
      - key="csi-soappabr-uri": Serve per indicare il nome del servizio registrato su apache soap, se non standard (equivale al name del plugin soap nella PD)

The following features are supported:

- `Key`
- `Value`

See Also:
  `AppresourcesPackage.getRCAnnotationDetail()`

Method Summary
`java.lang.String` | `getKey()` Returns the value of the 'Key' attribute
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute
`void` | `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute.

  If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `AppresourcesPackage.getRCAnnotationDetail_Key()`

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `AppresourcesPackage.getRCAnnotationDetail_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD